Page MenuHomePhabricator

Improve Dashboard user experience and metrics support for non-Wikipedia wikis and for multi-wiki projects
Closed, ResolvedPublic

Description

We've got a number of features in the backlog that would make the Dashboard better for programs that track multiple wikis, need to track narrower subsets of articles, or need to track specific content namespaces that aren't currently tracked.

Working an a set of these issues would make a nice internship project. The basic idea is being fleshed out into a full project proposal by @Amitjoki.

Mentors: @Ragesoss, ?


For Wiki Education Dashboard GSoC and Outreachy proposals this round, because of the large number of people interested who are already active in contributing to the project, we're asking applicants to come up with their own project ideas. If you're just getting started and are interested in applying for a Wiki Education Dashboard project, the best way to begin is to:

Wiki Education Dashboard is built primarily with Ruby on Rails and React.

Event Timeline

Ragesoss created this task.Feb 14 2019, 8:11 PM
Restricted Application added subscribers: Base, Aklapper. · View Herald TranscriptFeb 14 2019, 8:11 PM

@Ragesoss Hi,I am interested in this project. can you provide me some link for getting started with this project or some good first issue please help me!

Ragesoss updated the task description. (Show Details)Feb 15 2019, 6:55 PM

@Batrapunit hi! I've just updated the description with some general information to help you get started.

Ragesoss updated the task description. (Show Details)Feb 15 2019, 6:56 PM
Bahl24 added a subscriber: Bahl24.Feb 26 2019, 10:34 AM

Is there anything remaining in this task from GSoC'19? If not, then please consider marking it as resolved! If yes, and would need another GSoC or volunteer help then consider creating a new task with the leftover items. Thanks!

Ragesoss closed this task as Resolved.Sep 4 2019, 4:47 PM
Ragesoss claimed this task.